dslreports logo
site
 
    All Forums Hot Topics Gallery
spc

spacer




how-to block ads


Search Topic:
uniqs
18
share rss forum feed


LazMan
Premium
join:2003-03-26
canada

1 recommendation

reply to Thane_Bitter

Re: [Internet] What version of windows do i need?

said by Thane_Bitter:

said by Bernybon :

What's wrong?

PEBKAC error.

Eye-Dee ten tee error...